<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Update User</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.7.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>
<body onload="onPageLoad()">
    <div class="container jumbotron">
        <div class="text-center mb-4">
            <h3>Chi Tiết User</h3>
        </div>
        <div class="row form-group">
            <div class="col-sm-4">
                <label for="">First name </label>
            </div>
            <div class="col-sm-8">
                <input type="text" class="form-control" placeholder="Nhập Firstname" id="input-firstname">
            </div>
        </div>
        <div class="row form-group">
            <div class="col-sm-4">
                <label for="">Last name </label>
            </div>
            <div class="col-sm-8">
                <input type="text" class="form-control" placeholder="Nhập lastname" id="input-lastname">
            </div>
        </div>
        <div class="row form-group">
            <div class="col-sm-4">
                <label for="">Subject </label>
            </div>
            <div class="col-sm-8">
                <input type="text" class="form-control" placeholder="Nhập subject" id="input-subject">
            </div>
        </div>
        <div class="row form-group">
            <div class="col-sm-4">
                <label for="">Country </label>
            </div>
            <div class="col-sm-8">
            
                <select name="Customertype" id="select-country"class="form-control">
                    <option value="VN">Việt Nam</option>
                    <option value="USA">USA</option>
                    <option value="AUS">Ustralia</option>
                    <option value="CAN">Canada</option>
                </select>
            </div>
        </div>
        <div class="row form-group">
            <div class="col-sm-4">
                <label for="">Customer Type </label>
            </div>
            <div class="col-sm-8">
            
                <select name="Customertype" id="select-customertype"class="form-control">
                    <option value="standard">Strandard</option>
                    <option value="Gold">Gold</option>
                    <option value="Premium">Premium</option>
            
                </select>
            </div>
        </div>

        <div class="row form-group">
            <div class="col-sm-4">
                <label for="">Register Status </label>
            </div>
            <div class="col-sm-8">
            
                <select name="Customertype" id="select-customertype"class="form-control">
                    <option value="New">New</option>
                    <option value="Accepted">Accepted</option>
                    <option value="Denied">Denied</option>
            
                </select>
            </div>
        </div>

        <div class="row form-group">
            <div class="col-sm-4">
         
            </div>
            <div class="col-sm-8">
                <button type="button" class="btn btn-success w-25 " id="btn-input-user">Update user</button>
                <button type="button" class="btn btn-success w-25 " id="btn-delete-user">Hủy bỏ</button>
            </div>
        </div>
        
        
    </div>
    <script>

        $(document).ready(function(){
            onPageLoad()

        })
        "use Strict"
        function onPageLoad(){
            "use strict"
            //thu thập dữ liệu từ query string
            var vUrlString =window.location.href
            var vUrl = new URL(vUrlString)
            //get parameter
            var vId = vUrl.searchParams.get("id")
            console.log(vId)
            callAPIGetDataUserByID(vId)
        }

        function callAPIGetDataUserByID(paramUserId){
        $.ajax({
        url: "http://203.171.20.210:8080/crud-api/users/" + paramUserId,
        type: 'GET',
        dataType: 'json', // added data type
        success: function(DataUserObj) {
            //console.log(res);
            // loadDataToTable(DataUserObj);
            showDataUserToForm(DataUserObj)
        },
        error: function (ajaxContext) {
            alert(ajaxContext.responseText);
            return false;
        }
    }); 
    }
    function showDataUserToForm(param){
        "use strict"
        $("#input-firstname").val(param.firstname)
        $("#input-lastname").val(param.lastname)
        $("#select-country").val(param.country)
        $("#input-subject").val(param.subject)
        $("#select-customertype").val(param.customerType)
        $("#select-registerstatus").val(param.registerStatus)
    }


    </script>
</body>
</html>